import type { JSX } from '../../stencil-public-runtime';
import type { ButtonOrLinkOrTextWithChildrenProps, CollapsiblePropType, HideLabelPropType, LabelPropType, NavAPI, NavStates, Stringified } from '../../schema';
export declare class KolNav implements NavAPI {
    private readonly navId;
    private readonly listId;
    private expandChildren;
    private collapseChildren;
    private readonly handleToggleExpansionClick;
    private buildIconObject;
    private entry;
    private li;
    private linkList;
    private initializeExpandedChildren;
    render(): JSX.Element;
    _collapsible?: boolean;
    _hasCompactButton?: boolean;
    _hasIconsWhenExpanded?: boolean;
    _hideLabel?: boolean;
    _label: LabelPropType;
    _links: Stringified<ButtonOrLinkOrTextWithChildrenProps[]>;
    state: NavStates;
    validateCollapsible(value?: CollapsiblePropType): void;
    validateHasCompactButton(value?: boolean): void;
    validateHasIconsWhenExpanded(value?: boolean): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateLabel(value?: LabelPropType, _oldValue?: LabelPropType, initial?: boolean): void;
    validateLinks(value?: Stringified<ButtonOrLinkOrTextWithChildrenProps[]>): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
}
